<ActionBar>
    <Label text="Editar Categoría"></Label>

</ActionBar>

<StackLayout backgroundColor="#DAF7A6">
    <Label textAlignment="center" text="Editar Categoría" class="fas titul_big"></Label>
    <GridLayout columns="auto, *" rows="auto, auto, auto, auto, auto" width="90%">
        <TextField [text]='id' row="0" col="0" class="fas" colSpan="2" color="orangered" editable= "false"></TextField>
        <Label text="Nombre: " row="1" col="0" class="fas" ></Label>
        <TextField [text]='nombre' maxLength="100" row="1" col="1" class="fas" color="orangered" (textChange)="inputChange($event, 'nombre')"></TextField>
        <Label text="Descripción: " row="2" col="0" class="fas"></Label>
        <TextField [text]='descripcion' row="2" col="1" class="fas" color="orangered" (textChange)="inputChange($event, 'descripcion')"></TextField>

        <Button text="&#xf044;  Actualizar" class="fas" row="3" col="0" colSpan="2" (tap)="actualizarRegistro()"></Button>
        <Button text="&#xf060;  Cancelar" class="fas" row="4" col="0" colSpan="2" [nsRouterLink]="['/tienda']"></Button>
    </GridLayout>

</StackLayout>
